--------------------------------------------------------------------------------
--"boneListWriter"
--"produced by apras();"
--"http://www.apras.net/"
--
--memo
--IIuWFNg̃XLfBt@ɓo^Ă{[eLXgt@C
--ɕۑXNvgB
--IIuWFNgɕ̃XLft@CƕςɂȂ邩B
--
--History
-- 2007/07/02 Release
--------------------------------------------------------------------------------
(

	local skinFlag

	fn getBoneList targetNode =
	(
		local boneArrary = #()
		if ($ != undefined) then
		(
			local targetSkin = targetNode.modifiers[#Skin]
			if (targetSkin != undefined)then
			(
				skinFlag = true
				local boneCount = skinOps.GetNumberBones targetSkin
				for i=1 to boneCount do
				(
					local boneName = skinOps.GetBoneName targetSkin i 1
					append boneArrary boneName
				)
			)else
			(
				skinFlag = false
			)
			return boneArrary 
		)else
		(
			skinFlag = false
			return boneArrary
		)
		
	)
	
	fn writeBonelist sArray =
	(
		if (skinFlag) then
		(
			local output_name = getSaveFileName caption:"boneList File" types:"text (*.txt)|*.txt|All Files (*.*)|*.*|"
			if (output_name != undefined) then
			(
				output_file = createfile output_name
				for item in sArray do
				(
					format "%;" (item as string) to:output_file
				)
				close output_file
				return true
			)else
			(
				return false
			)
		)else
		(
			return false
		)
	)

	if ($ != undefined) then
	(
		if (writeBonelist (getBoneList $)) then
		(
			messageBox "{[̃Xgo܂"
		)else(
			messageBox "{[̃XgoɎs܂"
		)
	)else
	(
		messageBox "IuWFNgIĂ܂"
	)
)

